package com.ruoyi.tc.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.tc.entity.AssetCurrent;
import com.ruoyi.tc.entity.AssetExport;
import com.ruoyi.tc.entity.request.AssetCurrentPageRequest;

import java.io.Serializable;
import java.util.List;

/**
 * 现有资产表(AssetCurrent)表服务接口
 *
 * @author makejava
 * @since 2024-11-15 10:04:03
 */
public interface AssetCurrentService extends IService<AssetCurrent> {

    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param as   查询实体
     * @return 所有数据
     */
    Page<AssetCurrent> page(Page<AssetCurrent> page, AssetCurrentPageRequest as);

    /**
     * 导出查询所有数据
     *
     * @param as 查询实体
     * @return 所有数据
     */
    List<AssetExport> page1(AssetCurrentPageRequest as);

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    AssetCurrent selectOne(Serializable id);

    /**
     * 逻辑删除
     */
    void deleteByUnitIds(Long id);

    /**
     * 删除
     * @param idList
     */
    void deleteIdList(List<Long> idList);

    /**
     * 查询所有数据(带子表)
     */
    List<AssetExport> selectAllAsset(AssetCurrentPageRequest as);


    /**
     * 根据单位查询资产总数
     *
     * @param part 单位
     * @return
     */
    Integer findBydwmc(String part);
}

